Subject: bug#11073: 24.0.94; BIDI-related crash in redisplay with certain byte sequences

From: Kenichi Handa <[email-masked]>
Date: Wed, 04 Apr 2012 09:07:02 +0900

In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:

> But isn't this (unify-charset 'big5 "MyBig5.map") performed in the
> .emacs?

Usually yes.  But, in that case, if .emacs is encoded in
Big5 and it contains some Big5 PUA chars, they are not
unified while loading .emacs.

> Is it really important to support adding unification rules
> after decoding took place?  If so, why?

As I wrote, I can't tell how important it is.  It may be
very important for those (but I guess very few) who need the
above operation, but not important for the majority.

I'm ok to remove such a feature if the maintainers decide
that.

> And also, what about removing unification rules after
> decoding?

When one tells Emacs to unify some chars, and then reads a
file containing those chars, there's no way to dis-unify
them.

---
Kenichi Handa
[email-masked]